import java.awt.*;
import java.awt.event.*;
import java.util.Hashtable;

public class JDemocDialog
    extends Dialog
    implements ActionListener {

    private TextField tfxdim = new TextField("100", 3);
    private TextField tfydim = new TextField("100", 3);
    private TextField tfnum = new TextField("3", 1);
    private TextField tfupd = new TextField("1000", 6);
    private Button bok = new Button("OK");
    private Button bcanc = new Button("Cancel");
    private Hashtable param;

    public JDemocDialog(Frame pf, Hashtable param) {
	super(pf, "JDemoc parameters", true);
	this.param = param;
	Panel p = new Panel();
	Panel pc = new Panel();
	Panel ps = new Panel();
	bok.addActionListener(this);
	bcanc.addActionListener(this);
	p.setLayout(new BorderLayout());
	pc.add(new Label("X dimension (10 - 500) : "));
	pc.add(tfxdim);
	pc.add(new Label("Y dimension (10 - 500) : "));
	pc.add(tfydim);
	pc.add(new Label("Number of parties (1 - 4) : "));
	pc.add(tfnum);
	pc.add(new Label("Update rate (1 - 999999) : "));
	pc.add(tfupd);
	ps.add(bok);
	ps.add(bcanc);
	p.add(pc, "Center");
	p.add(ps, "South");
	add(p);
	pack();
	show();
    }

    public void actionPerformed(ActionEvent ae) {
	String cmd = new String(ae.getActionCommand());
	if(cmd.equals("OK")) {
	    param.put("ok", new Boolean(true));
	    int xdim = Integer.parseInt(tfxdim.getText());
	    int ydim = Integer.parseInt(tfydim.getText());
	    param.put("dim", new JDemocDim(xdim, ydim));
	    param.put("num", new Integer(tfnum.getText()));
	    param.put("upd", new Integer(tfupd.getText()));
	} else {
	    param.put("ok", new Boolean(false));
	}
	dispose();
    }

}
